Bug 1944408 - Review Request: rust-libsystemd-sys - FFI bindings to libsystemd and libelogind
Summary: Review Request: rust-libsystemd-sys - FFI bindings to libsystemd and libelogind
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1944392
Blocks: 1941896 1944422
TreeView+ depends on / blocked
 
Reported: 2021-03-29 21:26 UTC by Rémi Lauzier
Modified: 2021-05-14 17:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-14 17:49:05 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Comment 1 Robert-André Mauchin 🐧 2021-04-06 18:56:37 UTC
Using https://copr-be.cloud.fedoraproject.org/results/remilauzier/rudo/fedora-34-x86_64/02113875-rust-libsystemd-sys/rust-libsystemd-sys.spec

 - You need to Requires: systemd-devel so it is included in the build process for other packages:

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       systemd-devel

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

Thus you won't need to add:

echo "systemd-devel"

in dependent packages.

 - This needs to be fixed:

# Upstream license specification: LGPL-2.1-or-later WITH GCC-exception-2.0
License:        LGPLv2+ WITH [identifier] with exceptions
# FIXME: Upstream uses unknown SPDX tag WITH!

 - Don't mix tabs and spaces, remove the tabs added here:

Source1:	https://raw.githubusercontent.com/jmesmon/rust-systemd/master/README.md
Source2:	https://raw.githubusercontent.com/jmesmon/rust-systemd/master/COPYING


 - Macros prefixed by two underscores are for RPM private use only, use the actual binary instead:

cp %{SOURCE1} README.md
cp %{SOURCE2} COPYING

→

# Upstream license specification: LGPL-2.1-or-later WITH GCC-exception-2.0
# https://github.com/jmesmon/rust-systemd/issues/185
License:        LGPLv2+ with exceptions

Comment 3 Robert-André Mauchin 🐧 2021-04-07 19:33:56 UTC
Package is approved. You still need to find a sponsor (please refer to the mail I sent you or https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group)

Comment 4 Robert-André Mauchin 🐧 2021-04-08 21:29:24 UTC
Sponsored.

Comment 5 Tomas Hrcka 2021-04-27 09:18:17 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-libsystemd-sys

Comment 6 Fedora Update System 2021-05-05 03:21:55 UTC
FEDORA-2021-5bac42dc9d has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-5bac42dc9d

Comment 7 Fedora Update System 2021-05-06 01:57:55 UTC
FEDORA-2021-5bac42dc9d has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-5bac42dc9d \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5bac42dc9d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-05-14 17:49:05 UTC
FEDORA-2021-5bac42dc9d has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.